import request from '@/utils/request';



// 领料保存
export async function batchSave(data) {
    const res = await request.post(`/mes/pickorder/pcBatchSave`, data);
    if (res.data.code == 0) {
      return res.data.data;
    }
    return Promise.reject(new Error(res.data.message));
  }
  
 

  // 领料单详细信息
export async function pickDetails(data) {
  const res = await request.post(`/pda/mes/pickorder/list`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}



// 非生产性领料保存
export async function unproductive(data) {
  const res = await request.post(`/mes/pickorder/unproductive`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}